ESSID gets truncated

Bug #74672 reported by Dan Lenski on 2006-12-06
46
Affects Status Importance Assigned to Milestone
linux-source-2.6.20 (Ubuntu)
Medium
Unassigned
linux-ubuntu-modules-2.6.22 (Ubuntu)
Medium
Tim Gardner

Bug Description

I upgraded from edgy to feisty a couple days ago, and found that my wireless network connection no longer worked. It seemed that whatever I used as my ESSID would get truncated by one character:

$ sudo iwconfig wlan0 essid linksys
$ sudo iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

wlan0 802.11b/g ESSID:"linksy"
          Mode:Managed Frequency=2.427 GHz Access Point: Not-Associated
          Bit Rate=54 Mb/s
          Retry:on Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0 Signal level:0 Noise level:0
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

In order to get connected, I had to append an extra character to the correct ESSID:

$ sudo iwconfig wlan0 essid linksysZ
$ sudo iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

wlan0 802.11b/g ESSID:"linksys"
          Mode:Managed Frequency=2.427 GHz Access Point: Not-Associated
          Bit Rate=54 Mb/s
          Retry:on Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0 Signal level:0 Noise level:0
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

I posted about this bug on Ubuntuforums, and another user tracked down the apparent source of the bug in wireless_tools_28, in the file iwconfig.c. Here's a link to his findings: http://ubuntuforums.org/showpost.php?p=1849606&postcount=2

Scott Zawalski (cowbud) wrote :

This does not seem to be an issue in the latest wireless tools. What version exactly are you running?

The current version is: 28-1ubuntu3

Changed in wireless-tools:
status: Unconfirmed → Needs Info
Scott Zawalski (cowbud) on 2007-02-20
Changed in wireless-tools:
assignee: nobody → cowbud
Brian Murray (brian-murray) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. We have not heard from you in a while and we wondering if this is still an issue for you. If it is what wireless card do you have? You could post 'lspci -vv' to the bug report. Additionally what driver does that device use? The result of 'lsmod' would tell us. Thanks in advance.

Changed in wireless-tools:
assignee: cowbud → brian-murray

It's a PCMCIA card that uses the driver r818x. I still have to use an script that configures the ESSID with a letter more, wich gets truncated.

I'm not on my PC now, I can not give more info. I'll do at home :-)

----- Mensaje original ----
De: Brian Murray <email address hidden>
Para: <email address hidden>
Enviado: sábado, 31 de marzo, 2007 19:26:10
Asunto: [Bug 74672] Re: ESSID gets truncated

Thanks for taking the time to report this bug and helping to make Ubuntu
better. We have not heard from you in a while and we wondering if this
is still an issue for you. If it is what wireless card do you have?
You could post 'lspci -vv' to the bug report. Additionally what driver
does that device use? The result of 'lsmod' would tell us. Thanks in
advance.

** Changed in: wireless-tools (Ubuntu)
     Assignee: Scott Zawalski => Brian Murray

--
ESSID gets truncated
https://launchpad.net/bugs/74672

______________________________________________
LLama Gratis a cualquier PC del Mundo.
Llamadas a fijos y móviles desde 1 céntimo por minuto.
http://es.voice.yahoo.com

Gabriel (vigoexiste) wrote :

It's a PCMCIA card that uses the driver r818x. I still have to use an
script that configures the ESSID with a letter more, wich gets
truncated.

I'm not on my PC now, I can not give more info. I'll do at home :-)

----- Mensaje original ----
De: Brian Murray <email address hidden>
Para: <email address hidden>
Enviado: sábado, 31 de marzo, 2007 19:26:10
Asunto: [Bug 74672] Re: ESSID gets truncated

Thanks for taking the time to report this bug and helping to make Ubuntu
better. We have not heard from you in a while and we wondering if this
is still an issue for you. If it is what wireless card do you have?
You could post 'lspci -vv' to the bug report. Additionally what driver
does that device use? The result of 'lsmod' would tell us. Thanks in
advance.

** Changed in: wireless-tools (Ubuntu)
     Assignee: Scott Zawalski => Brian Murray

--
ESSID gets truncated
https://launchpad.net/bugs/74672

______________________________________________
LLama Gratis a cualquier PC del Mundo.
Llamadas a fijos y móviles desde 1 céntimo por minuto.
http://es.voice.yahoo.com

anotherstuart (stuart-astill) wrote :

This is exactly the same for me. I enter the essid in the network manager but when I iwconfig it is truncated. I pad with an extra character and all works OK.

I have a belkin f5d6020 v3 pcmcia card that uses the rtl8180 driver.

I am using the latest beta of Feisty as at 13 April through a distribution upgrade on Xubuntu

Changed in wireless-tools:
assignee: brian-murray → ubuntu-kernel-team
importance: Undecided → Medium
status: Needs Info → Confirmed
Nuno Almeida (n-alm) wrote :

That happened to my also. The only way to connect my wireless was to create a script that runs on start up when I define the essid with one extra character as in iwconfig essid whomeZ key <key>.

domito (hudsonb) wrote :

I have this exact same issue using a Linksys wpc11 ver .4 (r818x module). Worked fine on 6.10 but after clean install of 7.04 my ESSID was being truncated by one character as described. I am not using gui tools to configure my wireless adapter I am directly editing /etc/network/interfaces. My wireless-tool is at version 28-1ubuntu3.

JoeyJoeJoe (jmurp) wrote :

I've got a similar issue. After trying to "connect to another wireless network" and entering my SSID (XBOXWAP) I open a command prompt and run iwconfig only to see the essid="X"

So only the leading character in my ESSID is retained and all subsequent characters truncated.

Tried it with my neighbor's "linksys" and iwconfig reported just the "l"

Also, this only happens intermitently. Sometimes I reboot and it is working like a champ again with no problems. Other times I don't see any wireless connections whatsoever.

What is the workaround for truncating all but the first letter in the ESSID?

Let me know if I can provide any further information towards resolving this bug.

Thanks,
JJJ

JoeyJoeJoe (jmurp) wrote :

One more thing. Sometimes Keyring Manager prompts me for its password (and I typically get on the network). Other times it does not prompt me at all.

Could this be Keyring Manager's problem.

Hans Deragon (deragon) wrote :

I confirm the problem. I simply add a character to my essid and I get connected. Module r818x with device "02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8180L 802.11b MAC (rev 20)"

Doug Schaapveld (djschaap) wrote :

I'm having the same problem -- last character of my ESSID is being dropped with 2.6.20-16. Using linux-image-2.6.20-16-386 and wireless-tools-28-1ubuntu3; all packages current as of today for Feisty Fawn / 7.04.

If I boot into an older kernel (linux-image-2.6.17-11-386 (same system, not changing any other packages), this problem goes away. (Unless I've implemented the extra-character workaround in /etc/network/interfaces, in which case the problem comes back, but anyway....)

Interestingly, just after the upgrade to Feisty Fawn, the r818x (and the ieee80211-rtl it depends on) module no longer loads automatically. A simple "modprobe r818x" fixes this, but shouldn't be necessary. No evidence yet this is related to the ESSID truncation.

Doug Schaapveld (djschaap) wrote :

Never mind on my automatic load complaint -- seems others have had problems in the past:

Excerpt from my /etc/modprobe.d/blacklist:
# buggy driver causes kernel BUG on load (Ubuntu: #78255, #88430)
blacklist r818x
blacklist r8187

(module-init-tools-3.3-pre3-1ubuntu7)

Matt Fisher (mapifisher) wrote :
Download full text (6.3 KiB)

Similar problem running Feisty Fawn. Retrying with various length names gets different results on different attempts.

02:00.0 Network controller: Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller (rev 03)
        Subsystem: Linksys Unknown device 0013
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64
        Interrupt: pin A routed to IRQ 22
        Region 0: Memory at fcfea000 (32-bit, non-prefetchable) [size=8K]

ieee80211softmac 31360 1 bcm43xx
ieee80211 34760 2 bcm43xx,ieee80211softmac
ieee80211_crypt 7040 2 ieee80211_crypt_wep,ieee80211

matt@ubuntu:/etc/network$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

eth1 IEEE 802.11b/g ESSID:"" Nickname:"Broadcom 4306"
          Mode:Managed Access Point: Invalid
          RTS thr:off Fragment thr:off
          Link Quality=0/100 Signal level=-256 dBm Noise level=-256 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

matt@ubuntu:/etc/network$ sudo iwconfig eth1 essid MandS

matt@ubuntu:/etc/network$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

eth1 IEEE 802.11b/g ESSID:"M" Nickname:"Broadcom 4306"
          Mode:Managed Access Point: Invalid
          RTS thr:off Fragment thr:off
          Link Quality=0/100 Signal level=-256 dBm Noise level=-256 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

matt@ubuntu:/etc/network$ sudo iwconfig eth1 essid "MandS"
matt@ubuntu:/etc/network$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

eth1 IEEE 802.11b/g ESSID:"MandS" Nickname:"Broadcom 4306"
          Mode:Managed Access Point: Invalid
          RTS thr:off Fragment thr:off
          Link Quality=0/100 Signal level=-256 dBm Noise level=-256 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

matt@ubuntu:/etc/network$ sudo iwconfig eth1 essid MandS
matt@ubuntu:/etc/network$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

eth1 IEEE 802.11b/g ESSID:"M" Nickname:"Broadcom 4306"
          Mode:Managed Access Point: Invalid
          RTS thr:off Fragment thr:off
          Link Quality=0/100 Signal level=-256 dBm Noise level=-256 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

matt@ubuntu:/etc/network$ sudo iwconfig eth1 essid "MandS
> iwconfig
> "
matt@ubuntu:/etc/network$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

eth1 IEEE 802.11b/g ESSID:"M" Nickname:"Broadcom 4306"
          Mode:Managed Access Point: Invalid
          RTS thr:off Fragment thr:off
          Link Quality=0/100 Signal level=-256 dBm Noise l...

Read more...

Matt Fisher (mapifisher) wrote :
Download full text (8.1 KiB)

Interestingly, for my problem looks like iwconfig works correctly every 4th time. Every other time it truncates to just the first letter.

matt@ubuntu:/etc/network$ sudo iwconfig eth1 essid MandSL
matt@ubuntu:/etc/network$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

eth1 IEEE 802.11b/g ESSID:"M" Nickname:"Broadcom 4306"
          Mode:Managed Access Point: Invalid
          RTS thr:off Fragment thr:off
          Link Quality=0/100 Signal level=-256 dBm Noise level=-256 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

matt@ubuntu:/etc/network$ sudo iwconfig eth1 essid MandSLlll
matt@ubuntu:/etc/network$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

eth1 IEEE 802.11b/g ESSID:"M" Nickname:"Broadcom 4306"
          Mode:Managed Access Point: Invalid
          RTS thr:off Fragment thr:off
          Link Quality=0/100 Signal level=-256 dBm Noise level=-256 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

matt@ubuntu:/etc/network$ sudo iwconfig eth1 essid MandSLllljkljkdfa
matt@ubuntu:/etc/network$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

eth1 IEEE 802.11b/g ESSID:"MandSLllljkljkdfa" Nickname:"Broadcom 4306"
          Mode:Managed Access Point: Invalid
          RTS thr:off Fragment thr:off
          Link Quality=0/100 Signal level=-256 dBm Noise level=-256 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

matt@ubuntu:/etc/network$ sudo iwconfig eth1 essid MandSLllljkljkdf
matt@ubuntu:/etc/network$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

eth1 IEEE 802.11b/g ESSID:"M" Nickname:"Broadcom 4306"
          Mode:Managed Access Point: Invalid
          RTS thr:off Fragment thr:off
          Link Quality=0/100 Signal level=-256 dBm Noise level=-256 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

matt@ubuntu:/etc/network$ sudo iwconfig eth1 essid MandSLllljkljkdff
matt@ubuntu:/etc/network$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

eth1 IEEE 802.11b/g ESSID:"M" Nickname:"Broadcom 4306"
          Mode:Managed Access Point: Invalid
          RTS thr:off Fragment thr:off
          Link Quality=0/100 Signal level=-256 dBm Noise level=-256 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

matt@ubuntu:/etc/network$ sudo iwconfig eth1 essid MandSLllljkljkdffasd
matt@ubuntu:/etc/network$
matt@ubuntu:/etc/network$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

eth1 IEEE 802.11b/g ESSID:"M" Nickname:"Broadcom 4306"
          Mode:Managed Access Point: Invalid
          RTS thr:off Fragment thr:off
          Link Quality=0/100 Sig...

Read more...

Qishuai Liu (lqs) wrote :

This patch solves the problem of r818x cards.

Dan Straathof (dan-straathof) wrote :

I am running Edgy Eft with KDE 3.5.5 and have tried several times to upgrade to Feisty, but my wireless never works, and I end up going back to Edgy. I have a Linksys wpc11 ver.4 with the 8180 chip, and can't seem to get the card to show the second led. I am fairly new to Linux, but even tried with ndiswrapper according to instructions online. Still couldn't get the card to activate, let alone connect to anything. how would one go abut using the above patch?

Liu Qishuai, how we can install this patch?

   " * Patch against ubuntu/net/rtl_ieee80211/rtl_ieee80211_softmac_wx.c (544 bytes, text/plain)

This patch solves the problem of r818x cards."

lcampagn (luke-campagnola) wrote :

Same problem, using r818x driver and a linksys pcmcia card:

0d:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8180L 802.11b MAC (rev 20)
        Subsystem: Linksys Unknown device 0019
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (8000ns min, 16000ns max)
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at 1800 [size=256]
        Region 1: Memory at 2c000000 (32-bit, non-prefetchable) [size=512]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0-,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

Is the patch supplied above going to appear in feisty backports soon, or do we need to upgrade to gutsy?

Tim Gardner (timg-tpi) wrote :

Gutsy lum commit 461ab562eb1085ab9e72f6bda96aeb82af5031ca

Changed in linux-ubuntu-modules-2.6.22:
assignee: nobody → timg-tpi
status: New → Fix Committed
importance: Undecided → Medium
Ben Collins (ben-collins) wrote :

linux-ubuntu-modules-2.6.22 (2.6.22-12.29) gutsy; urgency=low

  [Ben Collins]

  * ABI bump for -12
  * ubuntu: Add amd64 to xen target

  [Chuck Short]

  * Add Attansic Gigabit Ethernet support
    - LP: #77725

  [Mario Limonciello]

  * Create lirc_serial_igor based from lirc_serial
    - LP: #138247

  [Phillip Lougher]

  * Update Unionfs to 2.1.3 and patch for apparmor VFS changes
  * Various hacks and bug fixes for Unionfs 2.1.3
    - LP: #138915
  * More Unionfs 2.1.3 bug hacks and bug fixes

  [Tim Gardner]

  * Update iwlwifi to 0.1.15
    - LP: #137441
  * Update iwlwifi to 0.1.16
  * Add provenance for Attansic L2 ethernet driver
    - LP: #77725
  * Forward ported rtl818x from Feisty
  * Update iwlwifi to 1.1.0
    - LP: #141000
  * ESSID gets truncated
    - LP: #74672

 -- Ben Collins <email address hidden> Thu, 20 Sep 2007 14:25:15 -0400

Changed in linux-ubuntu-modules-2.6.22:
status: Fix Committed → Fix Released
Fabián Rodríguez (magicfab) wrote :

I am told a workaround that may work is enclosing the essid in quotes. Can anyone confirm this ? Otherwise the only way to get this update is upgrading to Gutsy.

Download full text (26.4 KiB)

[ 0.000000] ACPI: PM-Timer IO Port: 0x1008
[ 0.000000] Allocating PCI resources starting at 30000000 (gap: 20000000:df800000)
[ 0.000000] Built 1 zonelists. Total pages: 129890
[ 0.000000] Kernel command line: root=UUID=6eec522f-393d-4ba3-89e2-16ad31fc9770 ro quiet splash
[ 0.000000] Local APIC disabled by BIOS -- you can enable it with "lapic"
[ 0.000000] mapped APIC to ffffd000 (0140c000)
[ 0.000000] Enabling fast FPU save and restore... done.
[ 0.000000] Enabling unmasked SIMD FPU exception support... done.
[ 0.000000] Initializing CPU#0
[ 0.000000] PID hash table entries: 2048 (order: 11, 8192 bytes)
[ 0.000000] Detected 1495.194 MHz processor.
[ 5.081832] Console: colour VGA+ 80x25
[ 5.082117] Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
[ 5.082432] Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
[ 5.101797] Memory: 507660k/523648k available (2015k kernel code, 15456k reserved, 916k data, 364k init, 0k highmem)
[ 5.101809] virtual kernel memory layout:
[ 5.101811] fixmap : 0xfff4d000 - 0xfffff000 ( 712 kB)
[ 5.101812] pkmap : 0xff800000 - 0xffc00000 (4096 kB)
[ 5.101814] vmalloc : 0xe0800000 - 0xff7fe000 ( 495 MB)
[ 5.101815] lowmem : 0xc0000000 - 0xdff60000 ( 511 MB)
[ 5.101817] .init : 0xc03e3000 - 0xc043e000 ( 364 kB)
[ 5.101819] .data : 0xc02f7d26 - 0xc03dce84 ( 916 kB)
[ 5.101820] .text : 0xc0100000 - 0xc02f7d26 (2015 kB)
[ 5.101825] Checking if this processor honours the WP bit even in supervisor mode... Ok.
[ 5.101872] SLUB: Genslabs=22, HWalign=64, Order=0-1, MinObjects=4, CPUs=1, Nodes=1
[ 5.181794] Calibrating delay using timer specific routine.. 2992.50 BogoMIPS (lpj=5985013)
[ 5.181827] Security Framework v1.0.0 initialized
[ 5.181835] SELinux: Disabled at boot.
[ 5.181853] Mount-cache hash table entries: 512
[ 5.182004] CPU: After generic identify, caps: a7e9f9bf 00000000 00000000 00000000 00000180 00000000 00000000
[ 5.182018] CPU: L1 I cache: 32K, L1 D cache: 32K
[ 5.182021] CPU: L2 cache: 1024K
[ 5.182025] CPU: After all inits, caps: a7e9f9bf 00000000 00000000 00002040 00000180 00000000 00000000
[ 5.182036] Compat vDSO mapped to ffffe000.
[ 5.182048] Checking 'hlt' instruction... OK.
[ 5.197876] SMP alternatives: switching to UP code
[ 5.198053] Freeing SMP alternatives: 11k freed
[ 5.198341] Early unpacking initramfs... done
[ 5.597830] ACPI: Core revision 20070126
[ 5.597976] ACPI: Looking for DSDT in initramfs... error, file /DSDT.aml not found.
[ 5.602745] ACPI: setting ELCR to 0200 (from 0800)
[ 5.610444] CPU0: Intel(R) Pentium(R) M processor 1500MHz stepping 05
[ 5.610451] SMP motherboard not detected.
[ 5.610454] Local APIC not detected. Using dummy APIC emulation.
[ 5.610495] Brought up 1 CPUs
[ 5.610625] Booting paravirtualized kernel on bare hardware
[ 5.610686] Time: 6:51:40 Date: 10/30/107
[ 5.610715] NET: Registered protocol family 16
[ 5.610806] EISA bus registered
[ 5.610818] ACPI: bus type pci registered
[ 5.611062] PCI: PCI BIOS revision 2.10 entry at 0xfd906, last b...

Closing 2.6.20 task as this does not qualify for a stable release update. Thanks.

Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers